Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.shape
Class mxCurveLabelShape.LabelGlyphCache

    java.lang.Object
      com.mxgraph.shape.mxCurveLabelShape.LabelGlyphCache

Enclosing class:
  mxCurveLabelShape

    public class mxCurveLabelShape.LabelGlyphCache

extends Object

Utility class to describe the characteristics of each glyph of a branch branch label. Each instance represents one glyph

Field Summary
`String` | `glyph` The glyph being drawn
`mxLine` | `glyphVector` A line parallel to the curve segment at which the element is to be drawn
`mxRectangle` | `labelGlyphBounds` Cache of the bounds of the individual element of the label of this edge.

Constructor Summary
`mxCurveLabelShape.LabelGlyphCache()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### labelGlyphBounds

    public mxRectangle labelGlyphBounds

  Cache of the bounds of the individual element of the label of this edge. Note that these are the unrotated values used to determine the width of each glyph. To determine the entire label bounds a reasonable approximation is to take the union of these rects and add a buffer that is the maximum increase that could be formed by rotating all of the glyphs by 90 degrees.

### glyph

    public String glyph

  The glyph being drawn

### glyphVector

    public mxLine glyphVector

  A line parallel to the curve segment at which the element is to be drawn

Constructor Detail

### mxCurveLabelShape.LabelGlyphCache

    public mxCurveLabelShape.LabelGlyphCache()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.